Safe firmware to stay until ps4 get hacked?

Discussion in 'PS4 - Hacking & Homebrew' started by billquill, Jun 7, 2017.

  1. billquill
    OP

    billquill Newbie

    Newcomer
    5
    0
    Jun 7, 2017
    Micronesia, Federated States of
    Hello there, I'm really really new to this forum and I'm sorry if my first post is bad, please advise me on the way about it.

    So, I just got a PS4 and it's firmware is on 4.01, what I want to know is if I update the firmware to 4.07 to play Horizon Zero Dawn, will I lose the chance to jailbreak my PS4?

    I only heard that there's webkit exploit for 4.0x and 4.07 is also listed to have the vulnerabilities, but some said only 4.06 and lower firmware got the kernel exploit. So, I'm pretty much confused on where should my PS4 firmware be on.

    Really looking forward for the answer from you guys, since I'm really frothing my mouth to play HZD :D

    Thanks in advance
     
  2. j0hnnyj0hns

    j0hnnyj0hns GBAtemp Regular

    Member
    163
    15
    Jun 3, 2016
    United States
    qwertyuiopz has an exploit that works on 4.55 but has not released it and don't know if/when he will release it.
     
    billquill likes this.
  3. godreborn

    godreborn GBAtemp Psycho!

    Member
    3,885
    714
    Oct 10, 2009
    United States
    he has said he won't release the exploit until he finds a second exploit. I'm assuming this is if the first exploit gets patched. sony can't really patch anything if they don't know how it works, so releasing the exploit will most certainly result in a patch. I'm on 4.07 myself. I wish I was on 4.06, but at least we know that it works there. u can even self-host the webkit files with xampp like with the wii u. I'm not sure how much development has happened with this new exploit though, but I know the 1.76 exploit allows for the removal of pfs (protected file system) which is what we can do on the vita to play backups. both systems were lead by Mark Cerny, so there r similarities to them. that may have been y they were talking about a possible henkaku exploit with the ps4 for some time, but that requires a kernel exploit, the last piece of the puzzle. afaik, that's no longer needed.
     
    billquill likes this.
  4. billquill
    OP

    billquill Newbie

    Newcomer
    5
    0
    Jun 7, 2017
    Micronesia, Federated States of
    First of all, thanks for all the responses.

    @j0hnnyj0hns I see, so there will still be some chance on the higher firmware I guess, but I only wanna know if I leave 4.01 and gone to 4.07, will I have some disadvantage regarding jailbreak?

    @godreborn oh wow, I can barely understand what you said due to my limited knowledge on the PS4 scene right now lol.
    So, are you saying that it's not safe to be on 4.07 due to you're wishing your PS4 to be on 4.06 instead? (I'm not a native english speaker, pardon me if I didn't fully understand your statement)

    Sure, I can wait for the henkaku-like hack until it is released, but right now I already got a HZD disc came with the Hits bundle and it's going to be so frustrating if I can't play it...
     
  5. godreborn

    godreborn GBAtemp Psycho!

    Member
    3,885
    714
    Oct 10, 2009
    United States
    well, 4.06 has the webkit exploit and the kexploit. he hasn't released information on how it works, so u have to go to that one site to initialize the hack. the webkit exploit has been ported to several firmwares including 4.07, but ur limited in what u can do without the kernel exploit. u can self host these files btw using xampp, so u don't need to go to that website unless u want the kernel portion. apparently, the kernel exploit works on 4.55 and below due to the fact that sony doesn't even know how it works. once he releases the exploit, it will be patched.
     
    billquill likes this.
  6. billquill
    OP

    billquill Newbie

    Newcomer
    5
    0
    Jun 7, 2017
    Micronesia, Federated States of
    Tell me if I'm wrong, but what I understand is that currently the 4.06 is the safest bet for me to stay, but does the development on jailbreaking or receiving henkaku-like exploit will only be staying on that firmware like on vita which is currently on iirc 3.60?

    I'm really sorry, but please simplify a bit on your explanation/answer, I know that it is complex stuffs and all but I really just wanna know if it is ok if I didn't choose to be on 4.06 but 4.07 instead in the current situation regarding running homebrews,backups and so on.

    Firmware update is always a sensitive stuffs in PSP scene before haha, so I'm really asking for the guidance before I'm updating.

    Sorry yet again.
     
  7. godreborn

    godreborn GBAtemp Psycho!

    Member
    3,885
    714
    Oct 10, 2009
    United States
    the exploit exists for 4.06, so that's a sure thing. when or if the exploit is released for later firmware is anyone's guess. however, we do know the exploit works up to 4.55 (I believe that was tested).
     
    billquill likes this.
  8. billquill
    OP

    billquill Newbie

    Newcomer
    5
    0
    Jun 7, 2017
    Micronesia, Federated States of
    Thank you for being so patient with my asking.
    I guess I'll wait for a little until there is some news about the new exploit.
     
  9. azoreseuropa

    azoreseuropa GBAtemp Guru

    Member
    6,015
    924
    Nov 6, 2002
    Portugal
    Proud to be Portuguese but I am in USA.
    Wait a little ? LOL! We have been wait for almost 3 years now since our PS4 is on 2.57. We will wait much longer if have to be.
     
  10. billquill
    OP

    billquill Newbie

    Newcomer
    5
    0
    Jun 7, 2017
    Micronesia, Federated States of
    lol, I'm just saying that I'm going to wait for awhile for the news, if there none then I might sell my game copy or just went on and update to 4.07 anyway haha
     
  11. azoreseuropa

    azoreseuropa GBAtemp Guru

    Member
    6,015
    924
    Nov 6, 2002
    Portugal
    Proud to be Portuguese but I am in USA.
    LOL! Okay.. Whatever you say. :D:grog:
     
    billquill likes this.